[arch-commits] Commit in plan9port/repos (12 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Mon May 5 22:09:47 UTC 2014


    Date: Tuesday, May 6, 2014 @ 00:09:47
  Author: arodseth
Revision: 110730

archrelease: copy trunk to community-x86_64, community-i686

Added:
  plan9port/repos/community-i686/PKGBUILD
    (from rev 110729, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-i686/plan9.install
    (from rev 110729, plan9port/trunk/plan9.install)
  plan9port/repos/community-i686/plan9.sh
    (from rev 110729, plan9port/trunk/plan9.sh)
  plan9port/repos/community-x86_64/PKGBUILD
    (from rev 110729, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-x86_64/plan9.install
    (from rev 110729, plan9port/trunk/plan9.install)
  plan9port/repos/community-x86_64/plan9.sh
    (from rev 110729, plan9port/trunk/plan9.sh)
Deleted:
  plan9port/repos/community-i686/PKGBUILD
  plan9port/repos/community-i686/plan9.install
  plan9port/repos/community-i686/plan9.sh
  plan9port/repos/community-x86_64/PKGBUILD
  plan9port/repos/community-x86_64/plan9.install
  plan9port/repos/community-x86_64/plan9.sh

--------------------------------+
 /PKGBUILD                      |  144 +++++++++++++++++++++++++++++++++++++++
 /plan9.install                 |   16 ++++
 /plan9.sh                      |    8 ++
 community-i686/PKGBUILD        |   79 ---------------------
 community-i686/plan9.install   |    8 --
 community-i686/plan9.sh        |    4 -
 community-x86_64/PKGBUILD      |   79 ---------------------
 community-x86_64/plan9.install |    8 --
 community-x86_64/plan9.sh      |    4 -
 9 files changed, 168 insertions(+), 182 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-i686/PKGBUILD	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20131024
-pkgrel=4
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('5cba7856bdb35a96a923120e61d320d424fee1a6f09b7af3e87eb7814a747d4f'
-            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
-
-package() {
-  cd "$pkgname"
-
-  # Try the gentoo way for fixing hardcoded paths
-  PLAN9=/usr/lib/plan9
-  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
-
-  d=usr/lib
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir/$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
-  cd "$pkgdir/$d/plan9"
-  ./INSTALL -c -r "$pkgdir/$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # The old method for fixing hardcoded paths
-  #for f in `grep -H -r "$pkgdir$d/$pkgname" | cut -d: -f1`; do
-  #  echo -n "\t$f"
-  #  [ -e "$f" ] && sed -i "s:$pkgdir$d/$pkgname:$d/$pkgname:" "$f" || true
-  #done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir/$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-
-  # Once more
-  #grep --null -l -r "$pkgdir/usr/local/plan9" | xargs --null sed -i "s!$pkgdir/usr/local/plan9!${PLAN9}!g"
-  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
-  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-i686/PKGBUILD (from rev 110729, plan9port/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20140306
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
+            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
+
+package() {
+  cd "$pkgname"
+
+  # Try the gentoo way for fixing hardcoded paths
+  PLAN9=/usr/lib/plan9
+  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
+
+  d=usr/lib
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
+  cd "$pkgdir/$d/plan9"
+  ./INSTALL -c -r "$pkgdir/$d/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir/$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+
+  # Once more
+  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
+  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/plan9.install
===================================================================
--- community-i686/plan9.install	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-i686/plan9.install	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,8 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}

Copied: plan9port/repos/community-i686/plan9.install (from rev 110729, plan9port/trunk/plan9.install)
===================================================================
--- community-i686/plan9.install	                        (rev 0)
+++ community-i686/plan9.install	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,8 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}

Deleted: community-i686/plan9.sh
===================================================================
--- community-i686/plan9.sh	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-i686/plan9.sh	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,4 +0,0 @@
-export PLAN9=/usr/lib/plan9
-export PATH=$PATH:$PLAN9/bin
-export ROOTPATH=$ROOTPATH:$PLAN9/bin
-export MANPATH=$MANPATH:$PLAN9/man

Copied: plan9port/repos/community-i686/plan9.sh (from rev 110729, plan9port/trunk/plan9.sh)
===================================================================
--- community-i686/plan9.sh	                        (rev 0)
+++ community-i686/plan9.sh	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,4 @@
+export PLAN9=/usr/lib/plan9
+export PATH=$PATH:$PLAN9/bin
+export ROOTPATH=$ROOTPATH:$PLAN9/bin
+export MANPATH=$MANPATH:$PLAN9/man

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-x86_64/PKGBUILD	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20131024
-pkgrel=4
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('5cba7856bdb35a96a923120e61d320d424fee1a6f09b7af3e87eb7814a747d4f'
-            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
-
-package() {
-  cd "$pkgname"
-
-  # Try the gentoo way for fixing hardcoded paths
-  PLAN9=/usr/lib/plan9
-  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
-
-  d=usr/lib
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir/$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
-  cd "$pkgdir/$d/plan9"
-  ./INSTALL -c -r "$pkgdir/$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # The old method for fixing hardcoded paths
-  #for f in `grep -H -r "$pkgdir$d/$pkgname" | cut -d: -f1`; do
-  #  echo -n "\t$f"
-  #  [ -e "$f" ] && sed -i "s:$pkgdir$d/$pkgname:$d/$pkgname:" "$f" || true
-  #done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir/$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-
-  # Once more
-  #grep --null -l -r "$pkgdir/usr/local/plan9" | xargs --null sed -i "s!$pkgdir/usr/local/plan9!${PLAN9}!g"
-  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
-  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-x86_64/PKGBUILD (from rev 110729, plan9port/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20140306
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('cbb826cde693abdaa2051c49e7ebf75119bf2a4791fe3b3229f1ac36a408eaeb'
+            '8768c080a8ceb0a52a3f866bd8ffc4b26f9deb97c6877ceea78ec0b316325a6b')
+
+package() {
+  cd "$pkgname"
+
+  # Try the gentoo way for fixing hardcoded paths
+  PLAN9=/usr/lib/plan9
+  grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
+
+  d=usr/lib
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir/$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/plan9"
+  cd "$pkgdir/$d/plan9"
+  ./INSTALL -c -r "$pkgdir/$d/plan9"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir/$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+
+  # Once more
+  grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
+  grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/plan9.install
===================================================================
--- community-x86_64/plan9.install	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-x86_64/plan9.install	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,8 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}

Copied: plan9port/repos/community-x86_64/plan9.install (from rev 110729, plan9port/trunk/plan9.install)
===================================================================
--- community-x86_64/plan9.install	                        (rev 0)
+++ community-x86_64/plan9.install	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,8 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}

Deleted: community-x86_64/plan9.sh
===================================================================
--- community-x86_64/plan9.sh	2014-05-05 22:09:31 UTC (rev 110729)
+++ community-x86_64/plan9.sh	2014-05-05 22:09:47 UTC (rev 110730)
@@ -1,4 +0,0 @@
-export PLAN9=/usr/lib/plan9
-export PATH=$PATH:$PLAN9/bin
-export ROOTPATH=$ROOTPATH:$PLAN9/bin
-export MANPATH=$MANPATH:$PLAN9/man

Copied: plan9port/repos/community-x86_64/plan9.sh (from rev 110729, plan9port/trunk/plan9.sh)
===================================================================
--- community-x86_64/plan9.sh	                        (rev 0)
+++ community-x86_64/plan9.sh	2014-05-05 22:09:47 UTC (rev 110730)
@@ -0,0 +1,4 @@
+export PLAN9=/usr/lib/plan9
+export PATH=$PATH:$PLAN9/bin
+export ROOTPATH=$ROOTPATH:$PLAN9/bin
+export MANPATH=$MANPATH:$PLAN9/man




More information about the arch-commits mailing list